PDF::Builder::Resource::ColorSpace(3pm)

NAME
PDF::Builder::Resource::ColorSpace - Base class for PDF color spaces

Inherits from PDF::Builder::Basic::PDF::Array

METHODS

  new
    $cs = PDF::Builder::Resource::ColorSpace->new($pdf, $key, %opts)

    Returns a new colorspace object, base class for all colorspaces.

  name
    $name = $res->name($name) # Set

    $name = $res->name() # Get

    Returns or sets the Name of the resource.

  param
    @param = $cs->param(@param)

    Returns properly formatted color-parameters based on the colorspace.